<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>py.com.essap</groupId>
	<artifactId>mawio</artifactId>
	<version>1.0-SNAPSHOT</version>
	<description>Sistema de reporte de incidencias</description>
	<packaging>war</packaging>


	<properties>
		<java.min.version>1.8</java.min.version>
		<maven.min.version>3.0.0</maven.min.version>

		<version.javaee_api>7.0</version.javaee_api>

		<version.arquillian_core>1.1.1.Final</version.arquillian_core>

		<version.wildfly>8.2.1.Final</version.wildfly>


		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<org.jboss.arquillian.version>1.1.9.Final</org.jboss.arquillian.version>
		<org.jboss.arquillian.drone.version>1.3.1.Final</org.jboss.arquillian.drone.version>
		<org.jboss.arquillian.selenium.bom.version>2.47.1</org.jboss.arquillian.selenium.bom.version>
		<org.jboss.arquillian.graphene.version>2.0.3.Final</org.jboss.arquillian.graphene.version>


		<flyway.host>172.17.0.4</flyway.host>
		<flyway.port>5432</flyway.port>
		<flyway.dbname>mawio</flyway.dbname>
		<flyway.user>mawio</flyway.user>
		<flyway.pass>mawioUserPassword</flyway.pass>

	</properties>

	<prerequisites>
		<maven>${maven.min.version}</maven>
	</prerequisites>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.wildfly.bom</groupId>
				<artifactId>wildfly-javaee7-with-tools</artifactId>
				<version>10.0.0.Final</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>


	<dependencies>
	
		<dependency>
			<groupId>org.apache.velocity</groupId>
			<artifactId>velocity</artifactId>
			<version>1.7</version>
		</dependency>

		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
			<version>2.5</version>
		</dependency>


		<dependency>
			<groupId>javax</groupId>
			<artifactId>javaee-api</artifactId>
			<version>${version.javaee_api}</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>redis.clients</groupId>
			<artifactId>jedis</artifactId>
			<version>2.8.1</version>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<artifactId>commons-io</artifactId>
			<groupId>commons-io</groupId>
			<version>2.4</version>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
			<version>3.0</version>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>1.16.4</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.torpedoquery</groupId>
			<artifactId>org.torpedoquery</artifactId>
			<version>1.7.0</version>
			<exclusions>
				<exclusion>
					<artifactId>guava</artifactId>
					<groupId>com.google.guava</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<artifactId>guava</artifactId>
			<groupId>com.google.guava</groupId>
			<version>18.0</version>
			<scope>provided</scope>
		</dependency>

		<!-- Flyway -->
		<dependency>
			<groupId>org.flywaydb</groupId>
			<artifactId>flyway-core</artifactId>
			<version>4.0.3</version>
		</dependency>

		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.8.3</version>
		</dependency>

		<dependency>
			<groupId>org.jinq</groupId>
			<artifactId>jinq-jpa</artifactId>
			<version>1.8.5</version>
		</dependency>

		<dependency>
			<groupId>com.thetransactioncompany</groupId>
			<artifactId>cors-filter</artifactId>
			<version>2.4</version>
		</dependency>

		<dependency>
			<groupId>io.swagger</groupId>
			<artifactId>swagger-jaxrs</artifactId>
			<version>1.5.6</version>
			<exclusions>
				<exclusion>
					<artifactId>guava</artifactId>
					<groupId>com.google.guava</groupId>
				</exclusion>
			</exclusions>
		</dependency>


		<dependency>
			<groupId>com.fasterxml.jackson.datatype</groupId>
			<artifactId>jackson-datatype-hibernate4</artifactId>
			<version>2.5.3</version>
		</dependency>

		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxrs</artifactId>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpcore</artifactId>
			<version>4.4.5</version>
		</dependency>

		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>5.2.1.Final</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
		</dependency>

		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-spatial</artifactId>
			<scope>provided</scope>
			<version>5.2.1.Final</version>
			<exclusions>
				<exclusion>
					<artifactId>dom4j</artifactId>
					<groupId>dom4j</groupId>
				</exclusion>
				<exclusion>
					<artifactId>guava</artifactId>
					<groupId>com.google.guava</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<artifactId>httpmime</artifactId>
			<groupId>org.apache.httpcomponents</groupId>
			<version>4.5.2</version>
		</dependency>

		<dependency>
			<artifactId>jackson-annotations</artifactId>
			<groupId>com.fasterxml.jackson.core</groupId>
			<version>2.5.4</version>
		</dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.datatype</groupId>
			<artifactId>jackson-datatype-jdk8</artifactId>
			<version>2.5.4</version>
		</dependency>

		<dependency>
			<groupId>org.geolatte</groupId>
			<artifactId>geolatte-common</artifactId>
			<version>0.8</version>
		</dependency>


		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-multipart-provider</artifactId>
		</dependency>
		
		<dependency>
		  <groupId>com.fasterxml.jackson.dataformat</groupId>
		  <artifactId>jackson-dataformat-csv</artifactId>
		  <version>2.7.0</version>
		</dependency>
		 <dependency>
        <groupId>com.fasterxml.jackson.core</groupId>
        <artifactId>jackson-core</artifactId>
        <version>2.7.0</version>
    </dependency>


	</dependencies>

	<build>
		<finalName>mawio</finalName>
		<plugins>
			<plugin>
				<groupId>com.spotify</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<version>0.4.13</version>
				<configuration>
					<imageName>api.mawio.net</imageName>
					<imageTags>
						<imageTag>
							${project.version}
						</imageTag>
					</imageTags>
					<dockerDirectory>docker</dockerDirectory>
					<resources>
						<resource>
							<targetPath>/</targetPath>
							<directory>${project.build.directory}</directory>
							<include>${project.build.finalName}.war</include>
						</resource>
					</resources>
				</configuration>

			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>${java.min.version}</source>
					<target>${java.min.version}</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.1.1</version>
				<configuration>
					<failOnMissingWebXml>false</failOnMissingWebXml>
					<archive>
						<manifestEntries>
							<Dependencies>com.google.guava, com.fasterxml.jackson.core.jackson-databind</Dependencies>
						</manifestEntries>
					</archive>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.flywaydb</groupId>
				<artifactId>flyway-maven-plugin</artifactId>
				<version>3.2.1</version>
				<configuration>
					<url>jdbc:postgresql://${flyway.host}:${flyway.port}/${flyway.dbname}</url>
					<user>${flyway.user}</user>
					<password>${flyway.pass}</password>
				</configuration>
				<dependencies>
					<dependency>
						<groupId>postgresql</groupId>
						<artifactId>postgresql</artifactId>
						<version>9.1-901-1.jdbc4</version>
					</dependency>
				</dependencies>
			</plugin>
		</plugins>

	</build>

</project>
